> For the complete documentation index, see [llms.txt](https://docs.roboflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roboflow.com/roboflow/roboflow-hi/workspaces/trash.md).

# Trash

Deleted projects, dataset versions, और workflows को स्थायी रूप से हटाए जाने से पहले 30 दिनों के लिए आपके workspace Trash में स्थानांतरित किया जाता है। आप 30-दिन की retention window के भीतर किसी भी समय Trash से किसी item को restore कर सकते हैं, या यदि आपको यकीन है कि आपको उसकी आवश्यकता नहीं है, तो उसे तुरंत permanently delete कर सकते हैं।

## Trash खोलें

अपने workspace में Settings पर जाएँ और sub-navigation से Trash चुनें। इस page में हर deleted project, version, और workflow को type के अनुसार group करके सूचीबद्ध किया जाता है, साथ ही यह भी दिखाया जाता है कि प्रत्येक item को किसने delete किया, उसे कब delete किया गया, और permanent cleanup से पहले कितने दिन शेष हैं।

## किसी item को restore करें

किसी एक row पर Restore पर click करके उस item को restore करें, या checkboxes का उपयोग करके कई items चुनें और उन सभी को एक साथ restore करने के लिए Restore पर click करें। Restore All workspace Trash में मौजूद हर item को restore करता है।

Restored items तुरंत workspace में उसी स्थान पर फिर दिखाई देते हैं जहाँ से उन्हें delete किया गया था। Dataset versions को केवल तब restore किया जा सकता है जब उनका parent project अभी भी active हो। यदि parent project भी Trash में है, तो पहले project को restore करें और फिर उसकी versions को restore करें।

## किसी item को permanently delete करें

30-दिन की retention window को छोड़कर किसी item को तुरंत हटाने के लिए, किसी एक row पर Delete Permanently पर click करें, या कई items चुनकर Delete Permanently पर click करें। Empty Trash workspace Trash की हर चीज़ को एक साथ हटा देता है। Permanent deletion को वापस नहीं किया जा सकता।

Permanent deletion केवल web app में इस page से उपलब्ध है। इसे REST API, Python SDK, या CLI पर exposed नहीं किया गया है, ताकि कोई stray script या automation data को irrecoverably नष्ट न कर सके।

## जब आप delete करते हैं तो क्या होता है

जब किसी project, version, या workflow को delete किया जाता है:

* Item workspace और सभी API listings से छिपा दिया जाता है।
* उस item के किसी भी in-flight training jobs को automatically cancel कर दिया जाता है, ताकि आप किसी ऐसी चीज़ पर credits खर्च करते न रहें जिसे आप delete कर रहे हैं।
* Projects के लिए, version के trained models serving बंद कर देते हैं।
* Item के लिए storage अभी भी आपके workspace plan में गिना जाता है, जब तक कि 30-दिन की retention window समाप्त न हो जाए या आप उसे permanently delete न कर दें।

यदि आपने कोई project delete करते समय "Also delete images from Asset Library" चुना था, तो Trash row पर amber indicator दिखाता है कि केवल उसी project से संबंधित images भी project के permanently cleaned up होने पर हटाई जाएँगी। अन्य projects के साथ साझा की गई images हमेशा सुरक्षित रहती हैं।

## Trash का उपयोग कौन कर सकता है

Trash और उसकी actions तक पहुँच role-based access control द्वारा नियंत्रित होती है। डिफ़ॉल्ट Owner role सभी trash permissions देता है। आप अपने workspace की Role-Based Access Control settings से व्यक्तिगत trash permissions (`view_trash`, `trash_dataset`, `restore_dataset`, `trash_version`, `restore_version`, `trash_workflow`, `restore_workflow`) custom roles को असाइन कर सकते हैं।


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roboflow.com/roboflow/roboflow-hi/workspaces/trash.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
